.test_btn {
    position: fixed;
    display: flex;
    flex-direction: column;
    bottom: 32px;
    right: 32px;
    width: 110px;
    height: 104px;
    transform: rotate(8deg);
    scale: 1;
    background-image: url('../assets/images/teste.svg');
    filter: drop-shadow(8px 8px 4px rgba(0, 0, 0, 0.25));
    transition: scale 0.08s, transform 0.12s;
    padding: 16px;
    line-height: 19.5px !important;
    text-align: center;
    font-size: 18px;
    font-weight: 800;
    gap: 2px;
    color: #FFFFFF;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    transition: background-color 0.2s;
}

.test_btn img {
    filter: invert(1);
}

p {
    line-height: 26px;
}

.test_btn:hover {
    scale: 1.10;
    transform: rotate(5deg);
    transition: scale 0.08s, transform 0.12s, filter 0.08s;
    filter: drop-shadow(12px 12px 6px rgba(0, 0, 0, 0.25));
}

.test_btn:active {
    scale: 0.96;
    filter: drop-shadow(4px 4px 2px rgba(0, 0, 0, 0.25));
}

section {
    overflow: hidden;
}

banner {
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 0px;
    height: 60vh;
    width: 100%;
}

banner .background {
    position: absolute;
    background-image: linear-gradient(rgba(36, 61, 101, 0), rgba(36, 61, 101, 0)), url('../assets/images/banner.jpg');
    background-size: cover;
    background-position: center;
    height: inherit;
    width: 100%;
}

body.darkmode banner .background {
    background-image: linear-gradient(rgba(36, 61, 101, 0.32), rgba(36, 61, 101, 0.32)), url('../assets/images/banner.jpg');
}

banner .filter {
    position: absolute;
    content: '';
    height: inherit;
    width: 62%;
    background: linear-gradient(90deg, rgba(38, 46, 56, 0.74) 0%, rgba(38, 46, 56, 0.6142) 52%, rgba(38, 46, 56, 0) 100%);
}

banner .content {
    display: flex;
    flex-direction: column;
    align-items: flex-start !important;
    justify-content: flex-start !important;
    width: 100%;
    padding-top: 64px;
    padding-bottom: 64px;
    position: relative;
    z-index: 2;
    gap: 18px;
}

banner .text {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    line-height: 32px;
    gap: 18px;
}

banner .text p {
    color: #FFFFFF;
}

h2 {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: start;
    font-size: 44px;
    font-weight: 700;
    color: #FFFFFF;
    max-width: 563px;
    line-height: 44px;
}

.contact_btn {
    background-color: #FFFFFF;
    align-self: flex-start;
}

.contact_btn .btnContent {
    color: rgb(50, 50, 50) ! important;
}

.contact_btn:hover {
    background-color: rgba(255, 255, 255, 0.85);
}

body.darkmode .contact_btn:hover {
    background-color: rgba(255, 255, 255, 0.85)
}

body.darkmode .contact_btn {
    background-color: #FFFFFF;
    align-self: flex-start;
}

body.darkmode .contact_btn .btnContent {
    color: black !important;
}

@media only all and (max-width: 820px) {
    .test_btn {
        width: 100px;
        height: 95px;
        font-size: 18px;
        background-size: contain;
        right: 15px;
        bottom: 15px;
    }

    h2 {
        text-align: center;
    }

    p {
        text-align: center;
    }

    banner .text {
        align-self: center;
        align-items: center;
        justify-content: center;
    }

    banner p {
        align-self: center !important;
    }

    banner .filter {
        background: linear-gradient(rgba(38, 46, 56, 0.6142), rgba(38, 46, 56, 0.6142));
        width: 100%;
    }

    banner .content {
        width: 100%;
        justify-content: center;
        align-content: center;
    }

    banner a {
        display: flex;
        justify-content: center;
        align-self: center;
    }

    banner .background {
        background-position: right;
    }
}

@media only all and (max-width: 620px) {
    h2 {
        font-size: 34px;
    }
}

/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */

#first_sec {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 64px !important;
}

#first_sec h2 {
    color: rgba(230, 130, 58, 1);
}

#first_sec p {
    color: rgba(79, 79, 79, 1);
}

.content-block {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
    width: 100%;
    max-width: 1320px;
    gap: 44px;
}

.content-block:last-of-type {
    margin-top: -32px;
}

.text-block {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    gap: 24px;
}

.content-block .img1 {
    background-image: url('../assets/images/responsive.png');
    filter: drop-shadow(16px 32px 8px rgba(0, 0, 0, 0.08));
    background-size: contain;
    background-repeat: no-repeat;
    background-position: bottom;
    height: 400px;
    width: 100%;
    max-width: 700px;
    margin-bottom: -52px;
}

body.darkmode .content-block .img1 {
    background-image: url('../assets/images/responsive_dark.png');
}

.content-block .img2 {
    background-image: url('../assets/images/AppScreens.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    height: 340px;
    width: 100%;
    max-width: 722px;
    margin-bottom: 64px;
    filter: drop-shadow(16px 32px 8px rgba(0, 0, 0, 0.08));
}

body.darkmode .content-block .img2 {
    background-image: url('../assets/images/AppScreens_dark.png');
}

@media only all and (max-width: 820px) {
    #first_sec {
        gap: 64px;
    }

    .content-block {
        flex-direction: column;
    }

    .content-block:last-of-type {
        flex-direction: column-reverse;
    }

    .text-block {
        text-align: center;
    }

    .text-block h2 {
        align-self: center;
    }

    #first_sec .line2 {
        flex-direction: column-reverse;
    }
}

@media only all and (max-width: 420px) {
    .content-block .img1 {
        background-size: contain;
        height: 147px;
        max-width: 262px;
    }

    .content-block .img2 {
        background-size: contain;
        height: 244px;
        max-width: 262px;
    }
}

/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */

#blocks_sec {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    height: auto;
    -webkit-box-shadow: 0px 0px 60px 0px rgba(0, 0, 0, 0.08);
    -moz-box-shadow: 0px 0px 60px 0px rgba(0, 0, 0, 0.08);
    box-shadow: 0px 0px 60px 0px rgba(0, 0, 0, 0.08);
    z-index: 2;
}

#blocks_sec .back_img {
    display: flex;
    justify-content: center;
    position: relative;
    background: linear-gradient(rgba(36, 61, 101, 0), rgba(36, 61, 101, 0)), url('../assets/images/petshop.jpg') no-repeat;
    background-size: cover;
    background-position: center;
    height: 100%;
    width: 100%;
    align-items: center;
    color: white;
}

body.darkmode #blocks_sec .back_img {
    background-image: linear-gradient(rgba(36, 61, 101, 0.32), rgba(36, 61, 101, 0.32)), url('../assets/images/petshop.jpg');
}

#blocks_sec .filter {
    position: absolute;
    content: '';
    height: inherit;
    width: 100%;
    background: linear-gradient(0deg, rgba(40, 66, 104, 0.9) 0%, rgba(40, 66, 104, 0.9) 52%, rgba(40, 66, 104, 0.9) 100%);
}

body.darkmode #blocks_sec .filter {
    background: rgba(23, 31, 44, 0.8);
}

#blocks_sec .content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 100%;
    gap: 24px;
    padding-top: 64px;
    padding-bottom: 64px;
    z-index: 2;
}

#blocks_sec .content p {
    color: #FFFFFF;
}

#blocks_sec h2 {
    max-width: 920px;
    text-align: center;
}

#blocks_sec .blocks {
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
    width: 100%;
    max-width: 1024px;
    gap: 32px;
}

#blocks_sec .blocks .block {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: calc(33.33% - 21.33px);
    height: 214px;
    border-radius: 10px;
    box-shadow: 0px 4px rgba(0, 0, 0, 0.1);
    background-color: rgba(255, 255, 255, 0.24);
    backdrop-filter: blur(12px);
    text-align: start;
    padding: 24px;
    gap: 16px;
    transition: all 0.32s;
    position: relative;
    overflow: hidden;
}

body.darkmode #blocks_sec .blocks .block {
    background-color: rgba(143, 174, 223, 0.24);
}

#blocks_sec .blocks .block:hover {
    transform: translateY(-5px);
    scale: 1.02;
}

#blocks_sec .blocks .block div {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

#blocks_sec .blocks .block h3,
#blocks_sec .blocks .block h4 {
    color: #FFFFFF;
}

#blocks_sec .blocks .block h3 {
    font-size: 20px;
}

#blocks_sec .blocks .block h4 {
    font-size: 14px;
}

#blocks_sec .blocks .block .icon {
    width: 64px;
    height: 64px;
    filter: invert(1);
}

body.darkmode #blocks_sec .blocks .block:hover,
#blocks_sec .blocks .block:hover {
    background-color: rgba(230, 130, 58, 1);
}

@media only all and (max-width: 821px) {
    #blocks_sec .blocks .block {
        width: calc(50% - 16px);
    }
}

@media only all and (max-width: 618px) {
    #blocks_sec .blocks .block {
        width: 100%;
    }
}

/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */

#actions_sec {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

#actions_sec .content {
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 1320px;
    padding-top: 64px;
    padding-bottom: 64px;
    justify-content: space-around;
    gap: 10px;
}

#actions_sec .line {
    display: flex;
    flex-direction: row;
    gap: 92px;
    justify-content: space-between;
}

#actions_sec .texts {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    gap: 20px;
}

#actions_sec h2 {
    color: rgba(54, 83, 130, 1);
}

#actions_sec p {
    color: rgba(79, 79, 79, 1);
    width: 100%;
    max-width: 796px;
}

#actions_sec .img1 {
    background: url('../assets/images/money_income.svg') no-repeat;
    background-size: contain;
    height: 298px;
    width: 446px;
}

#actions_sec .img2 {
    background: url('../assets/images/pet_care.svg') no-repeat;
    background-size: contain;
    height: 323px;
    width: 323px;
}

#actions_sec .img3 {
    background: url('../assets/images/Barcode_op.svg') no-repeat;
    background-size: contain;
    height: 327px;
    width: 327px;
}

body.darkmode #actions_sec .img3 {
    background: url('../assets/images/Barcode_op_dm.svg') no-repeat;
}

@media only all and (max-width: 870px) {
    #actions_sec .content {
        margin-top: 48px;
        margin-bottom: 48px;
    }
}

@media only all and (max-width: 820px) {
    #actions_sec .texts {
        align-items: center;
        text-align: center;
        gap: 24px;
    }

    #actions_sec .content {
        gap: 64px;
    }

    #actions_sec .line {
        flex-direction: column;
        align-items: center;
        gap: 32px;
    }

    #actions_sec .line2 {
        flex-direction: column-reverse;
    }

    #actions_sec .img {
        align-self: center;
        width: 100%;
        max-width: 323px;
    }

    #actions_sec .img1 {
        max-width: 414px !important;
    }

    .content-block:last-of-type {
        margin-top: 32px;
    }
}

@media only all and (max-width: 620px) {
    #actions_sec .img1 {
        height: 200px;
        max-width: 300px !important;
    }
}

/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */


#final_sec {
    position: relative;
    display: flex;
    flex-direction: row;
    -webkit-box-shadow: 0px 0px 60px 0px rgba(0, 0, 0, 0.08);
    -moz-box-shadow: 0px 0px 60px 0px rgba(0, 0, 0, 0.08);
    box-shadow: 0px 0px 60px 0px rgba(0, 0, 0, 0.08);
    z-index: 2;
}

#final_sec .content {
    display: flex;
    width: 100%;
    flex-direction: row;
}

#final_sec .left {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    background-color: rgba(230, 130, 58, 1);
    justify-content: center;
    gap: 20px;
    width: 50%;
    height: 450px;
}

body.darkmode final_sec .left {
    background-color: rgb(185 112 59);
}

#final_sec .texts {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 100%;
    max-width: 640px;
    padding-right: 44px;
    gap: 20px;
}

#final_sec .texts p {
    color: #fff;
}

.services_btn {
    background-color: #FFFFFF;
    align-self: flex-start;
}

.services_btn .btnContent {
    color: rgba(230, 130, 58, 1);
}

.services_btn:hover {
    background-color: rgba(255, 255, 255, 0.85);
}

body.darkmode .services_btn:hover {
    background-color: rgba(255, 255, 255, 0.85)
}

body.darkmode .services_btn {
    background-color: #FFFFFF;
    align-self: flex-start;
}

body.darkmode .services_btn .btnContent {
    color: black !important;
}

#final_sec .img3 {
    background: url('../assets/images/cat_groom.jpg') no-repeat;
    background-size: cover;
    background-position: center;
    height: 450px;
    width: 50%;
}

body.darkmode #final_sec .img3 {
    background-image: linear-gradient(rgba(23, 31, 44, 0.44), rgba(23, 31, 44, 0.44)), url('../assets/images/cat_groom.jpg');
}

@media only all and (max-width: 820px) {
    #final_sec .content {
        flex-direction: column;
    }

    #final_sec .left,
    #final_sec .img3 {
        width: 100%;
        height: 512px;
    }

    #final_sec a {
        display: flex;
        justify-content: center !important;
        color: rgba(57, 106, 186, 1) !important;
    }

    #final_sec .texts {
        justify-content: center;
        align-items: center;
        padding-right: 0px;
    }
}

/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */

#contact_sec {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#contact_sec .content {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;
    width: 100%;
    padding-top: 124px;
    gap: 28px;
}

#contact_sec .texts {
    display: flex;
    flex-direction: column;
    gap: 28px;
}

#contact_sec h2 {
    color: rgba(230, 130, 58, 1);
}

#contact_sec p {
    color: rgba(79, 79, 79, 1);
}

#contact_sec .contacts_btns {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 16px;
    align-items: center;
}

#contact_sec .e-mail_btn {
    color: #FFFFFF !important;
    background-color: rgba(230, 130, 58, 1) !important;
}

body.darkmode .e-mail_btn {
    color: #FFFFFF !important;
    background-color: rgba(230, 130, 58, 1) !important;
}

#contact_sec .contacts_btns .icons {
    filter: invert(1)
}

@media only all and (max-width: 820px) {
    #contact_sec .texts {
        align-items: center;
    }
}

@media only all and (max-width: 620px) {
    #contact_sec .contacts_btns {
        flex-direction: column-reverse;
        width: 188px;
    }
}


body.darkmode h2,
body.darkmode p {
    color: #fff !important;
}